class ActionSetGuidepostLocation < Action # lgfog

  def setvars
    _,guidepost_id,osmid = catid.split('|')
    @guidepost = Guidepost.find(guidepost_id)
    raise "Guidepost mel existovat #{guidepost_id}" if @guidepost.nil?
    @osm_guidepost = OsmGuidepost.find_by_osmid(osmid.to_i)
    raise "OsmGuidepost mel existovat #{osmid}" if @osm_guidepost.nil?
    raise "OsmGuidepost (osmid=#{@osm_guidepost.osmid}) není spárováns s Guidepostem (osmid=#{@guidepost.osmid})" if @guidepost.osmid != @osm_guidepost.osmid

    @kctref = @guidepost.kctref
    @attrs = {
      action: linkify("Lokalizovat rozcestník rg:#{@guidepost.kctref || guidepost_id} podle og:#{osmid} "),
      followup_url: guidepost_path(@guidepost)
    }
  end 

  def perform
    @guidepost.update(lat: @osm_guidepost.lat, lon: @osm_guidepost.lon)
  end
    
end
